using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MIDI2ASQ
{
    public partial class Form1 : Form
    {
        public string filename = "";

        int selected = 0;
        Form[] forms;
        public Form1()
        {
            InitializeComponent();
            forms = new Form[2];
            forms[0] = new Forms.Start();
            forms[1] = new Forms.Analyse();
            ShowForm(forms[0]);
        }

        public void ShowForm(Form f)
        {
            f.FormBorderStyle = FormBorderStyle.None;
            f.TopLevel = false;
            f.Parent = this;
            f.Show();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            forms[selected].Hide();
            ShowForm(forms[++selected]);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            forms[selected].Hide();
            ShowForm(forms[--selected]);
        }

        private void buttonexit_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}